package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerRemindEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2019/5/24.
 */
@Repository
public interface CustomerRemindMapper {

    void save(CustomerRemindEntity entity);

    void update(CustomerRemindEntity entity);

    void delete(int id);

    void updateStatus(Map<String, Object> map);

    CustomerRemindEntity getById(int id);

    List<CustomerRemindEntity> queryByConditions(Map<String, Object> map);

    void updateUser(Map<String, Object> map);
}
